class Accounts::AccountDeletedEvent < AccountRelatedEvent
  def self.create(account)
    new(
      account_id:   account.id,
      account_name: account.name,
      provider:     account.provider_account,
      metadata: {
        provider_id: account.provider_account_id
      }
    )
  end
end
